Bug 469285 - The ~/.Xresources file is not honored when I log in.
The ~/.Xresources file is not honored when I log in.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 23:21 EDT by Steven W. Orr
Modified: 2008-11-05 10:46 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 10:46:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven W. Orr 2008-10-30 23:21:49 EDT
Description of problem:


Version-Release number of selected component (if applicable):
xorg-x11-xinit-1.0.7-6.fc9.i386 running under Fedora 9 with kdm at run level 5.

How reproducible:
The contents of my .Xresources file is 2 lines long:

*customization: -color
*StringConversionWarnings: on



Steps to Reproduce:
1. Create the file.
2. Log in
3. Run an xterm in an environment where you expect to get color.
  
Actual results:

No additional color resources are displayed.


Expected results:

Colors should happen.


Additional info:

I use XFILESEARCHPATH and XUSERFILESEARCHPATH. My values are:

513 > echo $XFILESEARCHPATH 
/usr/share/X11/app-defaults/%N%C
514 > echo $XUSERFILESEARCHPATH 
/home/steveo/.app-defaults/%N%C
515 > 

My .app-defaults dir contains a file called XTerm-color whose content is:
               *background:     white
               *foreground:     black
              *multiScroll:     true
      *fontMenu.background:     MistyRose
        *vtMenu.background:     AliceBlue
      *mainMenu.background:     BlanchedAlmond
                *saveLines:     8192
              *cursorColor:     DarkOrchid
                *ScrollBar:     true
      *scrollbar.thickness:     10
     *scrollbar.background:     gold
     *scrollbar.foreground:     purple1


When I log in and start an xterm, the scrollbars are not properly set. If I run the command:

xrdb -load .Xresources
and then start the xterm, it works just fine.

I also notice that in the file /etc/X11/xinit/xinitrc-common

are the lines that say
[ -r "$sysresources" ] && xrdb -merge "$sysresources"
[ -r "$userresources" ] && xrdb -merge "$userresources"

I also tried to change those lines so they say -load instead of -merge. It did not help. Also, after I log in, if I say -merge instead of -load on the commandline, the colors are still not properly set. i.e., after login, you must use -load.
Comment 1 Matěj Cepl 2008-10-31 10:00:12 EDT
Could we get an output of the command

xrdb -query

BEFORE you do any manual merge/load/whatever?
Comment 2 Steven W. Orr 2008-10-31 14:14:55 EDT
Ok. Now I'm feeling half silly (i.e., not completely). The xrdb -query output is below. I do see that *customization is set to -color is and that *StringConversionWarnings is on. But the problem persists. The envvars are properly set and if I run an xterm then it does not work. The flip side is that if I run other things whose resources are represented in /usr/share/X11/app-defaults, the colors *are* working. On the assumption that I'm doing something wrong, do you see what it is? I would hope that the envvars X*FILESEARCHPATH would resolve to something that overrode any content of the window manager resource property.

*Box.background:	#e0dfde
*Box.foreground:	#141312
*Button.activeBackground:	#e0dfde
*Button.activeForeground:	#141312
*Button.background:	#e0dfde
*Button.foreground:	#141312
*Button.highlightBackground:	#e0dfde
*Button.highlightColor:	#141312
*Canvas.activeBackground:	#ffffff
*Canvas.activeForeground:	#141312
*Canvas.background:	#ffffff
*Canvas.foreground:	#141312
*Canvas.highlightBackground:	#ffffff
*Canvas.highlightColor:	#141312
*Canvas.selectbackground:	#418bd4
*Canvas.selectforeground:	#ffffff
*Checkbutton.activeBackground:	#e0dfde
*Checkbutton.activeForeground:	#141312
*Checkbutton.background:	#e0dfde
*Checkbutton.foreground:	#141312
*Checkbutton.highlightBackground:	#e0dfde
*Checkbutton.highlightColor:	#141312
*Command.background:	#e0dfde
*Command.foreground:	#141312
*Dialog.background:	#e0dfde
*Dialog.foreground:	#141312
*Entry.activeBackground:	#ffffff
*Entry.activeForeground:	#141312
*Entry.background:	#ffffff
*Entry.foreground:	#141312
*Entry.highlightBackground:	#ffffff
*Entry.highlightColor:	#141312
*Entry.selectBackground:	#418bd4
*Entry.selectForeground:	#ffffff
*Form.background:	#e0dfde
*Form.foreground:	#141312
*Frame.activeBackground:	#e0dfde
*Frame.activeForeground:	#141312
*Frame.background:	#e0dfde
*Frame.foreground:	#141312
*Frame.highlightBackground:	#e0dfde
*Frame.highlightColor:	#141312
*Label.activeBackground:	#e0dfde
*Label.activeForeground:	#141312
*Label.background:	#e0dfde
*Label.foreground:	#141312
*Label.highlightBackground:	#e0dfde
*Label.highlightColor:	#141312
*List.background:	#ffffff
*List.foreground:	#141312
*Listbox.activeBackground:	#ffffff
*Listbox.activeForeground:	#141312
*Listbox.background:	#ffffff
*Listbox.foreground:	#141312
*Listbox.highlightBackground:	#ffffff
*Listbox.highlightColor:	#141312
*Listbox.selectBackground:	#418bd4
*Listbox.selectForeground:	#ffffff
*Menu.activeBackground:	#e0dfde
*Menu.activeForeground:	#141312
*Menu.background:	#e0dfde
*Menu.foreground:	#141312
*Menu.highlightBackground:	#e0dfde
*Menu.highlightColor:	#141312
*MenuButton.background:	#e0dfde
*MenuButton.foreground:	#141312
*Menubutton.activeBackground:	#e0dfde
*Menubutton.activeForeground:	#141312
*Menubutton.background:	#e0dfde
*Menubutton.foreground:	#141312
*Menubutton.highlightBackground:	#e0dfde
*Menubutton.highlightColor:	#141312
*Radiobutton.activeBackground:	#e0dfde
*Radiobutton.activeForeground:	#141312
*Radiobutton.background:	#e0dfde
*Radiobutton.foreground:	#141312
*Radiobutton.highlightBackground:	#e0dfde
*Radiobutton.highlightColor:	#141312
*Scale.activeBackground:	#e0dfde
*Scale.activeForeground:	#141312
*Scale.background:	#e0dfde
*Scale.foreground:	#141312
*Scale.highlightBackground:	#e0dfde
*Scale.highlightColor:	#141312
*Scale.troughColor:	#e0dfde
*Scrollbar*Cursor:	left_ptr
*Scrollbar*background:	#e0dfde
*Scrollbar*cursorName:	left_ptr
*Scrollbar*height:	15
*Scrollbar*pushThumb:	false
*Scrollbar*shadowWidth:	2
*Scrollbar*width:	15
*Scrollbar.activeBackground:	#e0dfde
*Scrollbar.activeForeground:	#141312
*Scrollbar.foreground:	#141312
*Scrollbar.highlightBackground:	#e0dfde
*Scrollbar.highlightColor:	#141312
*Scrollbar.troughColor:	#e0dfde
*ScrollbarBackground:	#e0dfde
*ShapeStyle:	Rectangle
*SimpleMenu*background:	#e0dfde
*SimpleMenu*foreground:	#141312
*SmeBSB*shadowWidth:	3
*StringConversionWarnings:	on
*Text.activeBackground:	#ffffff
*Text.activeForeground:	#141312
*Text.background:	#ffffff
*Text.foreground:	#141312
*Text.highlightBackground:	#ffffff
*Text.highlightColor:	#141312
*Text.selectBackground:	#418bd4
*Text.selectForeground:	#ffffff
*Toggle.background:	#e0dfde
*Toggle.foreground:	#141312
*Toplevel.activeBackground:	#e0dfde
*Toplevel.activeForeground:	#141312
*Toplevel.background:	#e0dfde
*Toplevel.foreground:	#141312
*Toplevel.highlightBackground:	#e0dfde
*Toplevel.highlightColor:	#141312
*XmCascadeButton.background:	#e0dfde
*XmCascadeButton.foreground:	#141312
*XmCascadeButtonGadget.background:	#e0dfde
*XmCascadeButtonGadget.foreground:	#141312
*XmDialogShell.background:	#e0dfde
*XmDialogShell.foreground:	#141312
*XmFileSelectionBox.background:	#e0dfde
*XmFileSelectionBox.foreground:	#141312
*XmForm.background:	#e0dfde
*XmForm.foreground:	#141312
*XmFrame.background:	#e0dfde
*XmFrame.foreground:	#141312
*XmLabel.background:	#e0dfde
*XmLabel.foreground:	#141312
*XmLabelGadget.background:	#e0dfde
*XmLabelGadget.foreground:	#141312
*XmList.background:	#ffffff
*XmList.foreground:	#141312
*XmMenuShell.background:	#e0dfde
*XmMenuShell.foreground:	#141312
*XmMessageBox.background:	#e0dfde
*XmMessageBox.foreground:	#141312
*XmPanedWindow.background:	#e0dfde
*XmPanedWindow.foreground:	#141312
*XmPushButton.background:	#e0dfde
*XmPushButton.foreground:	#141312
*XmPushButtonGadget.background:	#e0dfde
*XmPushButtonGadget.foreground:	#141312
*XmRowColumn.background:	#e0dfde
*XmRowColumn.foreground:	#141312
*XmSash.background:	#e0dfde
*XmSash.foreground:	#141312
*XmScrollBar.background:	#e0dfde
*XmScrollBar.foreground:	#141312
*XmScrolledWindow.background:	#e0dfde
*XmScrolledWindow.foreground:	#141312
*XmSelectionBox.background:	#e0dfde
*XmSelectionBox.foreground:	#141312
*XmSeparator.background:	#e0dfde
*XmSeparator.foreground:	#141312
*XmSeparatorGadget.background:	#e0dfde
*XmSeparatorGadget.foreground:	#141312
*XmTearOffButton.background:	#e0dfde
*XmTearOffButton.foreground:	#141312
*XmTearOffButtonGadget.background:	#e0dfde
*XmTearOffButtonGadget.foreground:	#141312
*XmText.background:	#ffffff
*XmText.foreground:	#141312
*XmTextField.background:	#ffffff
*XmTextField.foreground:	#141312
*XmToggleButton.background:	#e0dfde
*XmToggleButton.foreground:	#141312
*XmToggleButtonGadget.background:	#e0dfde
*XmToggleButtonGadget.foreground:	#141312
*background:	#e0dfde
*beNiceToColormap:	false
*borderColor:	black
*customization:	-color
*foreground:	#141312
*rvplayer*Command.BorderColor:	#141312
*rvplayer*Command.background:	#e0dfde
*rvplayer*Command.foreground:	#141312
*rvplayer*Label.BorderColor:	#141312
*rvplayer*MenuButton.BorderColor:	#141312
*rvplayer*MenuButton.background:	#e0dfde
*rvplayer*SepLine.BorderColor:	#e0dfde
*rvplayer*SepLine.bottomShadowPixel:	#ffffff
*rvplayer*SepLine.topShadowPixel:	#504f4f
*rvplayer*SimpleMenu.BorderColor:	#504f4f
*rvplayer*SimpleMenu.background:	#e0dfde
*rvplayer*SimpleMenu.foreground:	#141312
*rvplayer*SmeBSB*fgInsensitive:	#ffffff
*rvplayer*Vslider.thumbPixel:	#ffffff
*rvplayer*authortext.background:	#e0dfde
*rvplayer*authortext.bottomShadowPixel:	#ffffff
*rvplayer*authortext.topShadowPixel:	#504f4f
*rvplayer*background:	#e0dfde
*rvplayer*copyrighttext.background:	#e0dfde
*rvplayer*copyrighttext.bottomShadowPixel:	#ffffff
*rvplayer*copyrighttext.topShadowPixel:	#504f4f
*rvplayer*proptext.background:	#e0dfde
*rvplayer*proptext.foreground:	#141312
*rvplayer*statusback.background:	#e0dfde
*rvplayer*statusback.foreground:	#141312
*rvplayer*statustext.background:	#e0dfde
*rvplayer*statustext.foreground:	#141312
*rvplayer*timeinfotext.background:	#e0dfde
*rvplayer*timeinfotext.bottomShadowPixel:	#ffffff
*rvplayer*timeinfotext.foreground:	#141312
*rvplayer*timeinfotext.topShadowPixel:	#504f4f
*rvplayer*timeslider.bottomShadowPixel:	#ffffff
*rvplayer*timeslider.foreground:	#e0dfde
*rvplayer*timeslider.thumbPixel:	#ffffff
*rvplayer*timeslider.topShadowPixel:	#504f4f
*rvplayer*titletext.background:	#e0dfde
*rvplayer*titletext.bottomShadowPixel:	#ffffff
*rvplayer*titletext.topShadowPixel:	#504f4f
*rvplayer*volumeslider.bottomShadowPixel:	#ffffff
*rvplayer*volumeslider.topShadowPixel:	#504f4f
AcroRead.XmScreen.background:	#ffffff
AcroRead.XmScreen.borderColor:	#141312
AcroRead.borderColor:	#141312
Acroread.background:	#ffffff
Acroread.foreground:	#141312
Config*Text*background:	#e0dfde
Config*channel.background:	#e0dfde
Config*key.background:	#e0dfde
Config*list.background:	#e0dfde
Emacs*Background:	#ffffff
Emacs*Dialog*background:	#e0dfde
Emacs*Dialog*foreground:	#141312
Emacs*Foreground:	#141312
Emacs*XlwScrollBar.Background:	#e0dfde
Emacs*XlwScrollBar.Foreground:	#141312
Emacs*backgroundToolBarColor:	#e0dfde
Emacs*bottomToolBarShadowColor:	#e0dfde
Emacs*menubar*background:	#e0dfde
Emacs*menubar*foreground:	#141312
Emacs*popup*Background:	#e0dfde
Emacs*popup*Foreground:	#141312
Emacs*toolBarShadowThickness:	0
Emacs*topToolBarShadowColor:	#e0dfde
Emacs.default.attributeBackground:	#ffffff
Emacs.default.attributeForeground:	#141312
Netscape*XmLGrid.background:	#e0dfde
Netscape*XmLGrid.foreground:	#141312
Netscape*XmList*background:	#ffffff
Netscape*XmList*foreground:	#141312
Netscape*XmText*background:	#ffffff
Netscape*XmText*foreground:	#141312
Netscape*XmTextField*background:	#ffffff
Netscape*XmTextField*foreground:	#141312
Netscape*background:	#e0dfde
Netscape*bottomShadowColor:	#504f4f
Netscape*defaultBackground:	#ffffff
Netscape*foreground:	#141312
Netscape*highlightColor:	#e0dfde
Netscape*power.LED.background:	#e0dfde
Netscape*power.LED.foreground:	#418bd4
Netscape*selectBackground:	#418bd4
Netscape*selectColor:	#e0dfde
Netscape*selectForeground:	#ffffff
Netscape*thermo.slider.background:	#e0dfde
Netscape*thermo.slider.foreground:	#418bd4
Netscape*topShadowColor:	#ffffff
Netscape*urlLabel*background:	#ffffff
Netscape*urlLabel*foreground:	#141312
Netscape*urlText*background:	#ffffff
Netscape*urlText*foreground:	#141312
Streamer*Text*background:	#e0dfde
TopLevelShell*background:	#e0dfde
TopLevelShell*foreground:	#141312
WPFMShell*MenuBar*background:	#e0dfde
WPFMShell*MenuBar*foreground:	#141312
WPFMShell*XmDialogShell*XmDrawingArea*background:	#ffffff
WPFMShell*XmDialogShell*XmDrawingArea*foreground:	#141312
WPFMShell*XmDialogShell*XmList*background:	#ffffff
WPFMShell*XmDialogShell*XmList*foreground:	#141312
WPFMShell*XmDialogShell*XmScrolledWindow*XmDrawingArea.background:	#ffffff
WPFMShell*XmDialogShell*XmScrolledWindow*XmDrawingArea.foreground:	#141312
WPFMShell*XmDialogShell*XmText*background:	#ffffff
WPFMShell*XmDialogShell*XmText*foreground:	#141312
WPFMShell*XmDialogShell*XmTextField*background:	#ffffff
WPFMShell*XmDialogShell*XmTextField*foreground:	#141312
WPFMShell*XmDialogShell*background:	#ffffff
WPFMShell*XmDialogShell*foreground:	#141312
WPFMShell*XmDrawingArea*background:	#ffffff
WPFMShell*XmDrawingArea*foreground:	#141312
WPFMShell*XmList*background:	#ffffff
WPFMShell*XmList*foreground:	#141312
WPFMShell*XmScrolledWindow*XmDrawingArea.background:	#e0dfde
WPFMShell*XmScrolledWindow*XmDrawingArea.foreground:	#141312
WPFMShell*XmText*background:	#ffffff
WPFMShell*XmText*foreground:	#141312
WPFMShell*XmTextField*background:	#ffffff
WPFMShell*XmTextField*foreground:	#141312
WPFMShell*background:	#e0dfde
WPFMShell*foreground:	#141312
WPFMShell*menubar*background:	#e0dfde
WPFMShell*menubar*foreground:	#141312
XWp*MenuBar*background:	#e0dfde
XWp*MenuBar*foreground:	#141312
XWp*XmDialogShell*XmDrawingArea.background:	#ffffff
XWp*XmDialogShell*XmDrawingArea.foreground:	#141312
XWp*XmDialogShell*XmList*background:	#ffffff
XWp*XmDialogShell*XmList*foreground:	#141312
XWp*XmDialogShell*XmScrolledWindow*XmDrawingArea.background:	#ffffff
XWp*XmDialogShell*XmScrolledWindow*XmDrawingArea.foreground:	#141312
XWp*XmDialogShell*XmText*background:	#ffffff
XWp*XmDialogShell*XmText*foreground:	#141312
XWp*XmDialogShell*XmTextField*background:	#ffffff
XWp*XmDialogShell*XmTextField*foreground:	#141312
XWp*XmDialogShell*background:	#e0dfde
XWp*XmDialogShell*foreground:	#141312
XWp*XmDrawingArea.background:	#ffffff
XWp*XmDrawingArea.foreground:	#141312
XWp*XmList*background:	#ffffff
XWp*XmList*foreground:	#141312
XWp*XmScrolledWindow*XmDrawingArea.background:	#e0dfde
XWp*XmScrolledWindow*XmDrawingArea.foreground:	#141312
XWp*XmText*background:	#ffffff
XWp*XmText*foreground:	#141312
XWp*XmTextField*background:	#FFFFFFFFFFFF
XWp*XmTextField*foreground:	#141312
XWp*background:	#e0dfde
XWp*foreground:	#141312
XWp*menubar*background:	#e0dfde
XWp*menubar*foreground:	#141312
XWp*popmenu*background:	#e0dfde
XWp*popmenu*foreground:	#141312
XWp.form.controlbar.menubar.CBHlpButton*background:	#e0dfde
XWp.form.hscrollbar.background:	#e0dfde
XWp.form.rulerframe.ruler*background:	#e0dfde
XWp.form.scrollbar0.background:	#e0dfde
XWp.mainWindowForm.mainWindowMenubar*background:	#e0dfde
XWp.mainWindowForm.mainWindowMenubar*foreground:	#141312
Xawtv*Dialog.value.background:	#e0dfde
Xawtv*background:	#e0dfde
Xawtv*foreground:	#141312
Xcursor.theme:	
Xft.antialias:	1
Xft.hinting:	1
Xft.hintstyle:	hintmedium
editres*Panner.Background:	#e0dfde
editres*Tree.Background:	#ffffff
editres*Tree.Foreground:	#141312
editres*Tree.Toggle.Background:	#e0dfde
editres*Tree.Toggle.Foreground:	#141312
ml*XmCascadeButton.marginHeight:	2
ml*XmCascadeButton.marginWidth:	8
ml*XmForm*bottomOffset:	0
ml*XmForm*topOffset:	0
ml*XmForm*verticalSpacing:	0
ml*XmList*background:	#ffffff
ml*XmList*foreground:	#141312
ml*XmList*highlightThickness:	0
ml*XmPushButton.marginHeight:	1
ml*XmRowColumn*marginHeight:	1
ml*XmRowColumn*spacing:	0
ml*XmRowColumn.entryBorder:	0
ml*XmText*background:	#ffffff
ml*XmText*foreground:	#141312
ml*XmTextField*background:	#ffffff
ml*XmTextField*foreground:	#141312
ml*XmToggleButton.marginHeight:	1
ml*background:	#e0dfde
ml*borderWidth:	0
ml*focusPolicy:	pointer
ml*foreground:	#141312
ml*helpwin*textSW.text.background:	#ffffff
ml*helpwin*textSW.text.foreground:	#141312
ml*highlightColor:	#e0dfde
ml*log*textSW.text.background:	#ffffff
ml*log*textSW.text.foreground:	#141312
ml*marginHeight:	2
ml*marginWidth:	3
ml*selectColor:	#e0dfde
ml*textSW.text.background:	#ffffff
ml*textSW.text.foreground:	#141312
ml.form.height:	550
ml.form.width:	650
nedit*background:	#e0dfde
nedit*foreground:	#141312
xcalc*background:	#e0dfde
xcalc*bevel.screen.LCD.background:	#ffffff
xcalc*bevel.screen.LCD.foreground:	#141312
xcalc*foreground:	#141312
xdvi.background:	white
xosview*background:	#e0dfde
xosview*foreground:	#141312
xosview*meterLabelColor:	#141312
xosview*usedLabelColor:	#141312
xpdf.background:	#e0dfde
xpdf.foreground:	#141312
xpdf.urlCommand:	kfmclient exec %s
xterm*background:	#ffffff
xterm*foreground:	#141312
xterm.SimpleMenu*background:	#e0dfde
xterm.SimpleMenu*foreground:	#141312
Comment 3 Miroslav Lichvar 2008-11-04 08:10:46 EST
What exactly doesn't work, only the scrollbar settings?

Does "strace xterm 2>&1 | grep XTerm-color" print the file in $HOME/.app-defaults?
Comment 4 Steven W. Orr 2008-11-04 08:36:24 EST
575 > strace xterm 2>&1 | grep XTerm-color
access("/home/steveo/.app-defaults/XTerm-color", R_OK) = 0
stat64("/home/steveo/.app-defaults/XTerm-color", {st_mode=S_IFREG|0664, st_size=2486, ...}) = 0
open("/home/steveo/.app-defaults/XTerm-color", O_RDONLY) = 5
access("/usr/share/X11/app-defaults/XTerm-color", R_OK) = 0
stat64("/usr/share/X11/app-defaults/XTerm-color", {st_mode=S_IFREG|0644, st_size=4324, ...}) = 0
open("/usr/share/X11/app-defaults/XTerm-color", O_RDONLY) = 5
576 > 

Also, if I start a new bash and unset XFILESEARCHPATH and then start xterm, I still have the same problem.

What's not working is most of the color settings I specified in my
~/.app-defaults/XTerm-color file which includes the scrollbar settings as well as the various background colors for the menus etc. What *is* working is the cursor color and the saveLines.

Does this help?
Comment 5 Miroslav Lichvar 2008-11-04 09:05:44 EST
Ok, the app-defaults file isn't ignored.

You will need to get rid of the *Scrollbar and xterm* resources. Do you know where they come from?
Comment 6 Steven W. Orr 2008-11-04 21:59:28 EST
I'm at a loss. I have all my resources set in my ~/.app-defaults directory and all the rest are supposed to come from the /usr/share/X11/app-defaults dir. I see no place where anything could come from that could begin with a *. BTW, I did check my own ~/.Xresources file which is just that two-liner I showed above. 

Is there a way to find out where a resource is being loaded from? And is there a place where system-wide global resources are set?
Comment 7 Miroslav Lichvar 2008-11-05 08:59:03 EST
Looks like it's coming from /usr/share/kde4/apps/kdisplay/app-defaults which is owned by kdebase-workspace.

Gnome seems to have something similar in gnome-settings-daemon.

Not sure how it's supposed to be configured.
Comment 8 Rex Dieter 2008-11-05 09:09:41 EST
afaik, stuff in /usr/share/kde4/apps/kdisplay/app-defaults is only merged, but isn't supposed to override or ignore other app-defaults or Xresources
Comment 9 Kevin Kofler 2008-11-05 09:45:11 EST
Well, KDE will try applying its color scheme to non-KDE apps by default, that might be what's overriding the settings here. This feature can be disabled in systemsettings under Appearance / Colors, maybe that will "fix" this?
Comment 10 Steven W. Orr 2008-11-05 10:12:58 EST
Bingo. That did it. Just what I wanted. Now the output of xrdb -query is very short:

513 > xrdb -query
*StringConversionWarnings:      on
*customization: -color
Xcursor.theme:
Xft.antialias:  1
Xft.hinting:    1
Xft.hintstyle:  hintmedium
514 > 

and I have restored control over my resources. Thanks.

I'm not sure what the Xft stuff is but I see that I do not have libxft installed.

One last point. System Settings -> Appearance -> Colors -> Apply colors to non-KDE apps: If I uncheck the button to not apply colors, it doesn't "take" until I log out and then re-log in. I would imagine that removing those resources as a result of the apply button would be hard if not impossible, so I personally would not view the apply button not working until a re-login as a bug.
Comment 11 Rex Dieter 2008-11-05 10:35:22 EST
Good news, we'll have to file this one away for posterity.

In the meantime, a workaround has been found, can we close this?
Comment 12 Steven W. Orr 2008-11-05 10:40:27 EST
That's fine with me. I'm happy. :-)

Note You need to log in before you can comment on or make changes to this bug.